/home/travis/build/boostorg/boost/boost/geometry/algorithms/simplify.hpp File Reference

## Classes

struct | boost::geometry::resolve_strategy::simplify
struct | boost::geometry::resolve_strategy::simplify_insert
struct | boost::geometry::resolve_variant::simplify< Geometry >
struct | boost::geometry::resolve_variant::simplify< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >
struct | boost::geometry::resolve_variant::simplify< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Distance, Strategy >

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::resolve_strategy
namespace | boost::geometry::resolve_variant

## Functions

template<typename Geometry , typename Distance , typename Strategy >
void | boost::geometry::simplify (Geometry const &geometry, Geometry &out, Distance const &max_distance, Strategy const &strategy)
| Simplify a geometry using a specified strategy.
template<typename Geometry , typename Distance >
void | boost::geometry::simplify (Geometry const &geometry, Geometry &out, Distance const &max_distance)
| Simplify a geometry.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK